using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for Class_WhAssetsGe
/// </summary>
public class Class_WhAssetsGe
{
    private Decimal Dec_AssetsID = 0;
    private int int_WrwHouseID = 0;
    private float Flt_Quantity = 0;
    private Decimal Dec_UnitPrice = 0;
    private Decimal Dec_TotalPrice = 0;

    public Class_WhAssetsGe(Decimal Dec_AssetsID, int int_WrwHouseID, float Flt_Quantity, Decimal Dec_UnitPrice, Decimal Dec_TotalPrice)
	{
        this.Dec_AssetsID = Dec_AssetsID;
        this.int_WrwHouseID = int_WrwHouseID;
        this.Flt_Quantity = Flt_Quantity;
        this.Dec_UnitPrice = Dec_UnitPrice;
        this.Dec_TotalPrice = Dec_TotalPrice;
	}

    public void UDF_SaveWhAssetGe()
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblWhAssetsGe WhAssetGe = new tblWhAssetsGe();
        Class_ShamsiTools shamsi = new Class_ShamsiTools();
        shamsi.UDF_GetCurrentShamsiDate();

        WhAssetGe.AssetID = Dec_AssetsID;
        WhAssetGe.WarwHouseID = int_WrwHouseID;
        WhAssetGe.DeliverDate = shamsi.CurrentShmasiDate;
        WhAssetGe.Quantity = Flt_Quantity;
        WhAssetGe.PriceVahed = Dec_UnitPrice;
        WhAssetGe.TotalPrice = Dec_TotalPrice;

        db.tblWhAssetsGes.InsertOnSubmit(WhAssetGe);
        db.SubmitChanges();

    }
    

  
}
